1

Can the facebook time series algorithm called prophet be installed on a rasp pi?

It requires pystan (I think its Cython) and my B+ pi upgraded to Buster fails on the install with pip

Im also noticing the RAM requirements maybe not enough for the B+ which I only think has 1 gig of RAM. I was just curious if this could be installed on the pi or not?

Linux Make sure compilers (gcc, g++, build-essential) and Python development tools (python-dev, python3-dev) are installed. In Red Hat systems, install the packages gcc64 and gcc64-c++. If you are using a VM, be aware that you will need at least 4GB of memory to install fbprophet, and at least 2GB of memory to use fbprophet.

3
  • It looks to me like a bug in their setup, making it impossible to build from source. piwheels failed to build to because of this. I've created an issue: github.com/piwheels/packages/issues/167 and will take it up with the maintainers. Commented Oct 16, 2020 at 13:29
  • Thanks for the help. I get the same error when I try to run the pip install on Windows 10 as well. Would you still post an answer if you figure it out?
    – bbartling
    Commented Oct 16, 2020 at 13:42
  • Will do. Also you can follow here: github.com/facebook/prophet/issues/1716 Commented Oct 16, 2020 at 13:45

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.